/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class ActivateMcpHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ActivateMcpRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    mcpId?: number;
    source?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ActivateMcpResponseBody extends $tea.Model {
    instanceId?: string;
    jsonConfig?: string;
    url?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ActivateMcpResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ActivateMcpResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMcpHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMcpRequest extends $tea.Model {
    instanceId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMcpResponseBody extends $tea.Model {
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteMcpResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteMcpResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 激活MCP
     *
     * @param request - ActivateMcpRequest
     * @param headers - ActivateMcpHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ActivateMcpResponse
     */
    activateMcpWithOptions(request: ActivateMcpRequest, headers: ActivateMcpHeaders, runtime: $Util.RuntimeOptions): Promise<ActivateMcpResponse>;
    /**
     * 激活MCP
     *
     * @param request - ActivateMcpRequest
     * @returns ActivateMcpResponse
     */
    activateMcp(request: ActivateMcpRequest): Promise<ActivateMcpResponse>;
    /**
     * 删除MCP实例
     *
     * @param request - DeleteMcpRequest
     * @param headers - DeleteMcpHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteMcpResponse
     */
    deleteMcpWithOptions(request: DeleteMcpRequest, headers: DeleteMcpHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteMcpResponse>;
    /**
     * 删除MCP实例
     *
     * @param request - DeleteMcpRequest
     * @returns DeleteMcpResponse
     */
    deleteMcp(request: DeleteMcpRequest): Promise<DeleteMcpResponse>;
}
